Subject: Re: [rtcweb] Prompt for mic, camera *and* network access

From: Philipp Hancke <[email-masked]>
Date: Thu, 10 Sep 2015 16:09:23 -0700

Am 31.07.2015 um 11:59 schrieb Daniel Roesler:
> c) When createOffer() or createAnswer() is called, if the non-default
> routes flag is present, ask the user for consent. If there are video
> or audio streams already attached to the peerconnection, assume that
> consent has already been obtained (since getUserMedia asks for
> consent).

This is possible with an API for addons in Firefox 42. See
https://hacks.mozilla.org/2015/09/controlling-webrtc-peerconnections-with-an-extension/

In theory, this sounds like a good solution. However, unless you have a 
meaningful question to ask the user this is useless. But please, write 
your own extension, publicise it and show that my opinion is wrong here.